# effectvehicle_base.h File Reference

Base class for all effect vehicles. More...

`#include "vehicle_base.h"`

Go to the source code of this file.

## Data Structures
struct | EffectVehicle
| A special vehicle is one of the following: smoke electric sparks for trains explosions bulldozer (road works) bubbles (industry). More...
## Defines
#define | FOR_ALL_EFFECTVEHICLES(var) FOR_ALL_VEHICLES_OF_TYPE(EffectVehicle, var)

## Detailed Description

Base class for all effect vehicles.

Definition in file effectvehicle_base.h.